> ## Documentation Index
> Fetch the complete documentation index at: https://ormilabs.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get earliest wallet transactions

> Lists the earliest transactions involving an address.



## OpenAPI

````yaml get /apechain/v1/earliest/{walletAddress}/transactions
openapi: 3.0.3
info:
  description: ''
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  title: Data API
  version: 1.0.0
servers:
  - description: The DEV base URL for the API
    url: https://data-api.cloud.ormi.dev
security: []
paths:
  /apechain/v1/earliest/{walletAddress}/transactions:
    get:
      tags:
        - Transactions
      summary: Get earliest wallet transactions
      description: Lists the earliest transactions involving an address.
      operationId: getEarliestWalletTransactions
      parameters:
        - description: A wallet address.
          in: path
          name: walletAddress
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/Transaction'
                type: array
              examples:
                example1:
                  value:
                    - block_hash: >-
                        0x326e74eb8577526bd05e1bff545d12be073a5f19a0cf52cb5ada6049abc9facc
                      block_number: 4327701
                      block_timestamp: '2024-11-15T13:32:14Z'
                      contract_address: ''
                      cumulative_gas_used: '44802'
                      effective_gas_price: '25420690000'
                      from_address: '0xf2e0085c5a3a867a4f03fc7c24824f30841c586c'
                      gas: '267780'
                      gas_price: '45420690000'
                      gas_used: '44802'
                      input: 0x
                      l1_fee: null
                      l1_fee_scalar: null
                      l1_gas_price: null
                      l1_gas_used: null
                      max_fee_per_gas: '45420690000'
                      max_priority_fee_per_gas: '45420690000'
                      nonce: '562'
                      status: 1
                      to_address: '0x00000000000f7e000644657dc9417b185962645a'
                      transaction_hash: >-
                        0x67c4fb876a799164d9a954a33f9e6290c985d257d26da754027de76afb551be7
                      transaction_index: 1
                      transaction_type: 2
                      value: '1000000000000000000'
                    - block_hash: >-
                        0x91ec77da3493157a2cf74ce07dfc7c28587f4778b2572966a5b69f99e2e4baf3
                      block_number: 4328107
                      block_timestamp: '2024-11-15T13:43:12Z'
                      contract_address: ''
                      cumulative_gas_used: '54190'
                      effective_gas_price: '25420690000'
                      from_address: '0xf2e0085c5a3a867a4f03fc7c24824f30841c586c'
                      gas: '54993'
                      gas_price: '25420690000'
                      gas_used: '54190'
                      input: >-
                        0xca5eb5e1000000000000000000000000f2e0085c5a3a867a4f03fc7c24824f30841c586c
                      l1_fee: null
                      l1_fee_scalar: null
                      l1_gas_price: null
                      l1_gas_used: null
                      max_fee_per_gas: '25420690000'
                      max_priority_fee_per_gas: '25420690000'
                      nonce: '563'
                      status: 1
                      to_address: '0x00000000000f7e000644657dc9417b185962645a'
                      transaction_hash: >-
                        0x48b150c007435c6bc5864f6e1978a9fbd92d76b92800a1f3c1ba47d39253fd9d
                      transaction_index: 1
                      transaction_type: 2
                      value: '0'
          description: OK
components:
  schemas:
    Transaction:
      properties:
        block_hash:
          type: string
        block_number:
          format: int64
          type: integer
        block_timestamp:
          format: date-time
          type: string
        decoded:
          type: string
        from_address:
          type: string
        gas:
          type: string
        gas_price:
          type: string
        input:
          type: string
        max_fee_per_gas:
          type: string
        max_priority_fee_per_gas:
          type: string
        nonce:
          type: string
        to_address:
          type: string
        transaction_hash:
          type: string
        transaction_index:
          type: integer
        transaction_type:
          type: integer
        value:
          type: string
      required:
        - transaction_hash
        - transaction_index
        - nonce
        - block_hash
        - block_number
        - block_timestamp
        - from_address
        - to_address
        - value
        - gas
        - gas_price
        - max_fee_per_gas
        - max_priority_fee_per_gas
        - input
        - transaction_type
        - decoded
      type: object

````